org.eclipse.graphiti.ui.internal.command

## Class AbstractCommand

- java.lang.Object
- - org.eclipse.gef.commands.Command
  - - org.eclipse.graphiti.ui.internal.command.AbstractCommand

All Implemented Interfaces:
  IConfigurationProviderHolder

Direct Known Subclasses:
  AddModelObjectCommand, CreateConnectionCommand, GFCommand, ReconnectCommand

    public abstract class AbstractCommand
    extends org.eclipse.gef.commands.Command
    implements IConfigurationProviderHolder

### Constructor Summary

Constructors
Constructor and Description
`AbstractCommand(IConfigurationProvider configurationProvider)`
`AbstractCommand(IConfigurationProvider configurationProvider, java.lang.String label)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IConfigurationProvider` `getConfigurationProvider()` Returns the IConfigurationProviderInternal.

### Methods inherited from class org.eclipse.gef.commands.Command

`canExecute, canRedo, canUndo, chain, dispose, execute, getDebugLabel, getLabel, redo, setDebugLabel, setLabel, undo`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractCommand

    public AbstractCommand(IConfigurationProvider configurationProvider,
                           java.lang.String label)

#### AbstractCommand

    public AbstractCommand(IConfigurationProvider configurationProvider)

### Method Detail

#### getConfigurationProvider

    public IConfigurationProvider getConfigurationProvider()
                                                    throws java.lang.IllegalStateException

Description copied from interface: `IConfigurationProviderHolder`
Returns the IConfigurationProviderInternal. Must not return null.

Specified by:
  `getConfigurationProvider` in interface `IConfigurationProviderHolder`
Returns:
  The IConfigurationProviderInternal. Must not return null.
Throws:
  `java.lang.IllegalStateException` - If no IConfigurationProviderInternal is available (if it is null).